import cdk = require('@aws-cdk/cdk');
import { ContainerDefinition } from '../container-definition';
import { ContainerImage, ContainerImageConfig } from '../container-image';
export interface AssetImageProps {
    /**
     * Build args to pass to the `docker build` command
     *
     * @default no build args are passed
     */
    readonly buildArgs?: {
        [key: string]: string;
    };
}
/**
 * An image that will be built at synthesis time from a directory with a Dockerfile
 */
export declare class AssetImage extends ContainerImage {
    private readonly directory;
    private readonly props;
    /**
     * Create an AssetImage
     *
     * @param directory The directory containing the Dockerfile
     */
    constructor(directory: string, props?: AssetImageProps);
    bind(scope: cdk.Construct, containerDefinition: ContainerDefinition): ContainerImageConfig;
}
