import secretsmanager = require('@aws-cdk/aws-secretsmanager');
import { Construct } from '@aws-cdk/cdk';
import { ContainerDefinition } from "../container-definition";
import { ContainerImage, ContainerImageConfig } from "../container-image";
export interface RepositoryImageProps {
    /**
     * Optional secret that houses credentials for the image registry
     */
    readonly credentials?: secretsmanager.ISecret;
}
/**
 * A container image hosted on DockerHub or another online registry
 */
export declare class RepositoryImage extends ContainerImage {
    private readonly imageName;
    private readonly props;
    constructor(imageName: string, props?: RepositoryImageProps);
    bind(_scope: Construct, containerDefinition: ContainerDefinition): ContainerImageConfig;
}
