import cdk = require('@aws-cdk/cdk');
import { ContainerDefinition } from '../container-definition';
import { CfnTaskDefinition } from '../ecs.generated';
/**
 * Base class for log drivers
 */
export declare abstract class LogDriver extends cdk.Construct {
    /**
     * Return the log driver CloudFormation JSON
     */
    abstract renderLogDriver(): CfnTaskDefinition.LogConfigurationProperty;
    /**
     * Called when the log driver is configured on a container
     */
    abstract bind(containerDefinition: ContainerDefinition): void;
}
