import { Test } from 'nodeunit';
declare const _default: {
    "When creating an ECS Service": {
        "with only required properties set, it correctly sets default properties"(test: Test): void;
        "errors if daemon and desiredCount both specified"(test: Test): void;
        "errors if daemon and maximumPercent not 100"(test: Test): void;
        "errors if daemon and minimum not 0"(test: Test): void;
        'Output does not contain DesiredCount if daemon mode is set'(test: Test): void;
        "errors if no container definitions"(test: Test): void;
        "sets daemon scheduling strategy"(test: Test): void;
        "with a TaskDefinition with Bridge network mode": {
            "it errors if vpcSubnets is specified"(test: Test): void;
            "it errors if assignPublicIp is true"(test: Test): void;
        };
        "with a TaskDefinition with AwsVpc network mode": {
            "it creates a security group for the service"(test: Test): void;
            "it allows vpcSubnets"(test: Test): void;
        };
        "with distinctInstance placement constraint"(test: Test): void;
        "with memberOf placement constraints"(test: Test): void;
        "with placeSpreadAcross placement strategy"(test: Test): void;
        "errors with placeSpreadAcross placement strategy if daemon specified"(test: Test): void;
        "with placeRandomly placement strategy"(test: Test): void;
        "errors with placeRandomly placement strategy if daemon specified"(test: Test): void;
        "with placePackedBy placement strategy"(test: Test): void;
        "errors with placePackedBy placement strategy if daemon specified"(test: Test): void;
    };
    'classic ELB': {
        'can attach to classic ELB'(test: Test): void;
    };
    'When enabling service discovery': {
        'throws if namespace has not been added to cluster'(test: Test): void;
        'throws if network mode is none'(test: Test): void;
        'creates AWS Cloud Map service for Private DNS namespace with bridge network mode'(test: Test): void;
        'creates AWS Cloud Map service for Private DNS namespace with host network mode'(test: Test): void;
        'throws if wrong DNS record type specified with bridge network mode'(test: Test): void;
        'creates AWS Cloud Map service for Private DNS namespace with AwsVpc network mode'(test: Test): void;
        'creates AWS Cloud Map service for Private DNS namespace with AwsVpc network mode with SRV records'(test: Test): void;
    };
    'Metric'(test: Test): void;
};
export = _default;
